Signals / REST API

List signals

List buying signals detected in your workspace.

GET /api/mcp/signalsDeterministic operation

Parameters

workspaceIdRequired · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/mcp/signals?workspaceId=00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    }
  },
  "required": [
    "workspaceId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview